--
-- Create schema for Groupware SyncSource
--
-- @author Jonathan Harrington
--
create table sync4j_groupware_gwcontact (
	gw_id int(10) primary key,
        gw_principal varchar(255) NOT NULL,
        gw_key varchar(255) NOT NULL,
        gw_state varchar(1) NOT NULL,
        gw_timestamp timestamp NOT NULL
);

create table sync4j_groupware_gwcalendar (
	gw_id int(10) primary key,
        gw_principal varchar(255) NOT NULL,
        gw_key varchar(255) NOT NULL,
        gw_state varchar(1) NOT NULL,
        gw_timestamp timestamp NOT NULL
);

create table sync4j_groupware_gwtasks (
	gw_id int(10) primary key,
        gw_principal varchar(255) NOT NULL,
        gw_key varchar(255) NOT NULL,
        gw_state varchar(1) NOT NULL,
        gw_timestamp timestamp NOT NULL
);

create table sync4j_groupware_users (
	gw_principal varchar(255) primary key,
	gw_username  varchar(255) NOT NULL,
	gw_password  varchar(255) NOT NULL
);

create table sync4j_groupware_host (
	gw_id int(10) primary key,
	gw_hostname varchar(255) NOT NULL
);

insert into sync4j_groupware_host (gw_hostname) values ('localhost');

create table sync4j_groupware_webadmin (
	gw_username varchar(255) primary key,
	gw_password varchar(255) NOT NULL
);

insert into sync4j_groupware_webadmin (gw_username, gw_password) values ('root', 'password');

create table sync4j_groupware_folders (
	gw_id int(10) primary key,
	gw_contact varchar(255) NOT NULL,
	gw_calendar varchar(255) NOT NULL,
	gw_task varchar(255) NOT NULL
);

insert into sync4j_groupware_folders (gw_contact, gw_calendar, gw_task) values ('INBOX/Contacts', 'INBOX/Calendar', 'INBOX/Tasks');
